Subject: Re: Suspension
From: "Mohd Samar. Iqbal" <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Wed, 22 Jan 2020 15:25:03 -0700 (MST)

Please get an update. and also I asked him to provide the photo of the suspension. Please try to get the answer of whole question as it is a technical one. 

From: "Rosette Modiri" <[email-masked]> 
To: "Mohd" <[email-masked]> 
Sent: Sunday, January 19, 2020 6:49:16 PM 
Subject: Re: Suspension 

re-flagged 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Saturday, 18 January, 2020 18:04:08 
Subject: Re: Suspension 

no update so far 

From: "Mohd Samar. Iqbal" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Thursday, January 16, 2020 8:33:23 PM 
Subject: Re: Suspension 

pls update 

From: "Mohd Samar. Iqbal" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Monday, January 13, 2020 9:23:23 PM 
Subject: Suspension 

CASE1422210 

He is asking how to adjust the suspension on EB 7 plus bike. Do we have any information regarding this? 

This is his message " I just setup my EB 7plus bike but I have a few questions. Should the tire pressure be set at 65psi if I weigh 240lbs. I read about setting the tire pressure if the temperatures exceed 90 degrees. Also I tried to adjust the suspension but it seems that the black collar just turns but doesn’t turn the mechanism underneath it. Am I doing something wrong. It seems like it needs some kind of tool to be able to turn. Please advise since I would like to adjust. "